Bug 1566066 - Anaconda Welcome screen with greyed text for ppc64 (BE) since 20180407
Summary: Anaconda Welcome screen with greyed text for ppc64 (BE) since 20180407
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: powerpc
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-11 13:00 UTC by Michel Normand
Modified: 2019-05-28 20:10 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 20:10:37 UTC


Attachments (Terms of Use)

Description Michel Normand 2018-04-11 13:00:50 UTC
Anaconda Welcome screen with greyed text for ppc64 (BE) since 20180407

as reported in
https://openqa.stg.fedoraproject.org/tests/275455#step/_boot_to_anaconda/13

while previous compose 20180405 did not had such problem
https://openqa.stg.fedoraproject.org/tests/274604#step/_boot_to_anaconda/3
  
We are using in IBM openQA instance a bypass needle in our openQA working branch (1) that referenced old gnome bug 771127 (2) but not sure this is related.


(1) https://pagure.io/fork/michelmno/fedora-qa/os-autoinst-distri-fedora/c/94240889057fc03db1aeb7f2d76b3c867facdec5?branch=working
(2) https://bugzilla.gnome.org/show_bug.cgi?id=771127

Comment 1 Dan Horák 2018-04-11 13:22:47 UTC
AFAIK there was a change recently how the default Cantarell font is rendered and Adam was redoing needles in the primary openqa instance. Maybe this has the same culprit.

Comment 2 Dan Horák 2018-04-19 15:39:36 UTC
seems it's not an issue any more, openqa installs are green since 20180417 compose

Comment 3 Michel Normand 2018-04-25 13:58:27 UTC
(In reply to Dan Horák from comment #2)
> seems it's not an issue any more, openqa installs are green since 20180417
> compose

again greyed text since 20180420 !
https://openqa.stg.fedoraproject.org/tests/288500#step/_boot_to_anaconda/13

only composes 20180417/18/19 were temporarily with black text.

Comment 4 Adam Williamson 2018-04-25 21:50:24 UTC
No, this isn't anything to do with fonts. The entire anaconda window is not *focused*, according to mcatanzaro.

I actually saw this bug happen to an x86_64 test too:

https://openqa.stg.fedoraproject.org/tests/290581

but only that one (maybe there was one other, I don't recall), not all the others. It seems to be happening *way* more often on ppc64.

I can't find any change in the composes in question that would explain this, so it may be more to do with something happening on the openQA worker boxes themselves, but I'm not sure what...

For now I'm going to test if we can just work around this by clicking in the UI to make the window active, it's easy enough to make openQA do that.

Comment 5 Adam Williamson 2018-04-25 22:10:18 UTC
That seems to work fine, so this should be worked around in openQA now. I've re-scheduled the ppc64 tests for the last couple of composes.

Comment 6 Dan Horák 2018-04-26 09:22:06 UTC
Thanks a lot, Adam.

Comment 7 Michel Normand 2018-05-10 05:58:06 UTC
new occurrence of the problem in last Rawhide compose 20180507 https://openqa.stg.fedoraproject.org/tests/301444#step/_boot_to_anaconda/15

How to be sure we have the bypass openQA in that server ?

Comment 8 Adam Williamson 2018-05-10 06:24:58 UTC
Check:

https://openqa.stg.fedoraproject.org/tests/301444#step/_boot_to_anaconda/13

note there's a 0% match for the 'inactive' needle at that step. Reason being, there was a font rendering change: looks like the kerning was improved somehow (possibly this 'subpixel positioning' I was told about got enabled or something). I'll update the needle.

Comment 9 Ben Cotton 2019-05-02 21:48:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 20:10:37 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.